$fn=40;
HG=0.05; //HalfGap
SIZE=15;
EDGE=3;
IBH=3; //InBetweenHeight
TBH=3; //TopAndBottomHeight
module Diamond() {
 union(){
  translate([SIZE/2,SIZE/2,TBH-HG+IBH]) linear_extrude(height = TBH, scale = (SIZE-2*HG-2*EDGE)/(SIZE-2*HG)) { offset(EDGE) { square(SIZE-2*EDGE-2*HG, center = true); } }
  translate([SIZE/2,SIZE/2,0+TBH+HG]) linear_extrude(height = IBH-2*HG, scale = 1) { offset(EDGE) { square(SIZE-2*EDGE-2*HG, center = true); } }
  translate([SIZE/2,SIZE/2,0+TBH+HG]) rotate([180,0,0]) linear_extrude(height = TBH, scale = (SIZE-2*HG-2*EDGE)/(SIZE-2*HG)) { offset(EDGE) { square(SIZE-2*EDGE-2*HG, center = true); } }
 }
}
translate([1*SIZE,2*SIZE,0]) Diamond();
translate([2*SIZE,2*SIZE,0]) Diamond();
translate([0*SIZE,1*SIZE,0]) Diamond();
translate([1*SIZE,1*SIZE,0]) Diamond();
translate([1*SIZE,0*SIZE,0]) Diamond();
translate([2*SIZE-1.5*HG,2*SIZE+EDGE+HG,TBH+HG]) cube([3*HG,SIZE-2*EDGE-2*HG,IBH-2*HG]);
translate([1*SIZE-1.5*HG,1*SIZE+EDGE+HG,TBH+HG]) cube([3*HG,SIZE-2*EDGE-2*HG,IBH-2*HG]);
translate([1*SIZE+EDGE+HG,2*SIZE-1.5*HG,TBH+HG]) cube([SIZE-2*EDGE-2*HG,3*HG,IBH-2*HG]);
translate([1*SIZE+EDGE+HG,1*SIZE-1.5*HG,TBH+HG]) cube([SIZE-2*EDGE-2*HG,3*HG,IBH-2*HG]);
